<?php

namespace lib\Core\Http;

class Http
{
  protected array $headers = [];

  protected function __construct() {}

  public function getHeaders(): array
  {
    return $this->headers;
  }

  public function getHeader(string $key): ?string
  {
    return $this->headers[$key] ?? null;
  }
}
